package body MSHTML.DispSVGStopElement_Object is

   procedure PutRef_offset
     (This : DispSVGStopElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGStopElement_PutRef_offset,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_offset;

   function Get_offset
     (This : DispSVGStopElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGStopElement_Get_offset);
   end Get_offset;

   procedure Put_xmlbase
     (This : DispSVGStopElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGStopElement_Put_xmlbase,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmlbase;

   function Get_xmlbase
     (This : DispSVGStopElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGStopElement_Get_xmlbase);
   end Get_xmlbase;

   procedure PutRef_ownerSVGElement
     (This : DispSVGStopElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGStopElement_PutRef_ownerSVGElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_ownerSVGElement;

   function Get_ownerSVGElement
     (This : DispSVGStopElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGStopElement_Get_ownerSVGElement);
   end Get_ownerSVGElement;

   procedure PutRef_viewportElement
     (This : DispSVGStopElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGStopElement_PutRef_viewportElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_viewportElement;

   function Get_viewportElement
     (This : DispSVGStopElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGStopElement_Get_viewportElement);
   end Get_viewportElement;

   procedure PutRef_focusable
     (This : DispSVGStopElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGStopElement_PutRef_focusable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_focusable;

   function Get_focusable
     (This : DispSVGStopElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGStopElement_Get_focusable);
   end Get_focusable;

   function Get_className
     (This : DispSVGStopElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGStopElement_Get_className);
   end Get_className;

end MSHTML.DispSVGStopElement_Object;

